Searches for customers by first name, last name, email, phone number or date of birth that begins with the provided…
GET/personaldata-backend/customers/search
Searches for customers by first name, last name, email, phone number or date of birth that begins with the provided search text. In order to match phone number a search string length of 5 is required.
Searching for 2-3 characters will match exact against first and last name (not using wildcards).
To match on 'date of birth' the complete date should be provided using the format YYYY-MM-DD or YYYYMMDD
curl -u user:password -i -X GET http://orchestra-host:orchestra-port/personaldata/rest/customers/search?text=Simpson
Request
Responses
- 200
A JSON array of PersonalDataCustomer